Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.util
Class Hl7v2AdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.hl7v2.util.Hl7v2AdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class Hl7v2AdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `Hl7v2Package`

Constructor Summary
`Hl7v2AdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createCXAdapter()` Creates a new adapter for an object of class '`CX`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createSourcePatientInfoTypeAdapter()` Creates a new adapter for an object of class '`Source Patient Info Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createXADAdapter()` Creates a new adapter for an object of class '`XAD`'.
`org.eclipse.emf.common.notify.Adapter` | `createXCNAdapter()` Creates a new adapter for an object of class '`XCN`'.
`org.eclipse.emf.common.notify.Adapter` | `createXONAdapter()` Creates a new adapter for an object of class '`XON`'.
`org.eclipse.emf.common.notify.Adapter` | `createXPNAdapter()` Creates a new adapter for an object of class '`XPN`'.
`org.eclipse.emf.common.notify.Adapter` | `createXTNAdapter()` Creates a new adapter for an object of class '`XTN`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hl7v2AdapterFactory

    public Hl7v2AdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createCXAdapter

    public org.eclipse.emf.common.notify.Adapter createCXAdapter()

  Creates a new adapter for an object of class '`CX`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CX`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createSourcePatientInfoTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSourcePatientInfoTypeAdapter()

  Creates a new adapter for an object of class '`Source Patient Info Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SourcePatientInfoType`

### createXADAdapter

    public org.eclipse.emf.common.notify.Adapter createXADAdapter()

  Creates a new adapter for an object of class '`XAD`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XAD`

### createXCNAdapter

    public org.eclipse.emf.common.notify.Adapter createXCNAdapter()

  Creates a new adapter for an object of class '`XCN`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XCN`

### createXONAdapter

    public org.eclipse.emf.common.notify.Adapter createXONAdapter()

  Creates a new adapter for an object of class '`XON`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XON`

### createXPNAdapter

    public org.eclipse.emf.common.notify.Adapter createXPNAdapter()

  Creates a new adapter for an object of class '`XPN`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XPN`

### createXTNAdapter

    public org.eclipse.emf.common.notify.Adapter createXTNAdapter()

  Creates a new adapter for an object of class '`XTN`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XTN`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD